Skip to main content
GET
/
transactions
/
recent
Get recent transactions (admin)
curl --request GET \
  --url https://api.pcxpay.com/v1/transactions/recent \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "transaction_id": "<string>",
      "user_id": "<string>",
      "beneficiary_id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "type": "inbound",
      "status": "initiated",
      "payment_method": "bank_transfer",
      "payment_id": "<string>",
      "payout_id": "<string>",
      "org_id": "<string>",
      "country": "<string>",
      "entity_type": "<string>",
      "target_amount": 123,
      "target_currency": "<string>",
      "metadata": {},
      "beneficiary_details": {},
      "compound_amount": 123,
      "duration": 123,
      "installment_amount": 123,
      "total_installments": 123,
      "installments_completed": 123,
      "amount_paid": 123,
      "outstanding_balance": 123,
      "next_due_date": "2023-11-07T05:31:56Z",
      "start_date": "2023-11-07T05:31:56Z",
      "frequency": "weekly",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "count": 123,
    "total_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

user_id
string

User whose recent transactions to fetch (falls back to the authenticated user's ID).

Response

Last 10 transactions

data
object[]
meta
object